Bug 112849 - nss_db-2.2-23.x86_64 requires GLIBC_PRIVATE
Summary: nss_db-2.2-23.x86_64 requires GLIBC_PRIVATE
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: nss_db   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-04 02:49 UTC by Aleksey Nogin
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version: 2.2-24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 20:05:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-01-04 02:49:35 UTC
% rpm -q --requires nss_db-2.2-23.x86_64
/sbin/ldconfig
/sbin/ldconfig
/sbin/ldconfig
config(nss_db) = 2.2-23
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_PRIVATE)(64bit)
libnss_files.so.2()(64bit)
libnss_files.so.2(GLIBC_PRIVATE)(64bit)
make
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

This makes it impossible to upgrade glibc - glibc-2.3.3-1.x86_64
provides the GLIBC_PRIVATE interfaces, but glibc-2.3.3-3.x86_64 does not.

Comment 1 Nalin Dahyabhai 2004-01-05 20:05:09 UTC
The script which filters out those dependencies apparently broke. 
Fixing in 2.2-24.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.